import rio
from from_root import from_root

from ezgg_website.components import MemberInfo

from ezgg_website.components.member_card import MemberInfo


# @ToDo: Make real database service at some point
class DatabaseService:
    def __init__(self):
        pass

    def get_members(self) -> list[MemberInfo]:
        return [
            MemberInfo(
                picture_path=from_root("ezgg_website/assets/member_pictures/david.png"),
                name="David \"Typhus\" R.",
                position="1. Vorsitzender",
                entry_date="29.10.2023",
                contact_mail="vorstand@ezgg-ev.de",
                contact_steam="https://steamcommunity.com/id/originaltyphus"
            ), MemberInfo(
                picture_path=from_root("ezgg_website/assets/member_pictures/jule.png"),
                name="Julia \"Ravenchild\" A.",
                position="2. Vorsitzende",
                entry_date="29.10.2023",
                contact_mail="vorstand@ezgg-ev.de",
                contact_steam="https://steamcommunity.com/profiles/76561198089911312"
            ), MemberInfo(
                picture_path=from_root("ezgg_website/assets/member_pictures/jessy.png"),
                name="Jessy \"JessySixx\" R.",
                position="Schatzmeisterin",
                entry_date="29.10.2023",
                contact_mail=None,
                contact_steam=None
            ), MemberInfo(
                picture_path=from_root("ezgg_website/assets/member_pictures/anon.png"),
                name="Tim \"Matschwicht\" B.",
                position="Mitglied",
                entry_date="29.10.2023",
                contact_mail=None,
                contact_steam=None
            ), MemberInfo(
                picture_path=from_root("ezgg_website/assets/member_pictures/dennis.png"),
                name="Dennis \"Goodman\" P.",
                position="Mitglied",
                entry_date="29.10.2023",
                contact_mail=None,
                contact_steam=None
            ), MemberInfo(
                picture_path=from_root("ezgg_website/assets/member_pictures/tom.png"),
                name="Tom \"Tcprod\" C.",
                position="Mitglied",
                entry_date="29.10.2023",
                contact_mail=None,
                contact_steam=None
            ), MemberInfo(
                picture_path=from_root("ezgg_website/assets/member_pictures/chris.png"),
                name="Chris \"Meliodas\" K.",
                position="Mitglied",
                entry_date="29.10.2023",
                contact_mail=None,
                contact_steam=None
            )
        ]

    def get_picture_paths(self) -> list[rio.URL]:
        return [
            # BK-LAN 18
            rio.URL("https://verwaltung.ezgg-ev.de/adm_program/modules/photos/photo_show.php?photo_uuid=c345a1b8-0c74-4d8f-8f3d-c747d04c2c12&photo_nr=1"),
            rio.URL("https://verwaltung.ezgg-ev.de/adm_program/modules/photos/photo_show.php?photo_uuid=c345a1b8-0c74-4d8f-8f3d-c747d04c2c12&photo_nr=2"),
            rio.URL("https://verwaltung.ezgg-ev.de/adm_program/modules/photos/photo_show.php?photo_uuid=c345a1b8-0c74-4d8f-8f3d-c747d04c2c12&photo_nr=3"),
            rio.URL("https://verwaltung.ezgg-ev.de/adm_program/modules/photos/photo_show.php?photo_uuid=c345a1b8-0c74-4d8f-8f3d-c747d04c2c12&photo_nr=4"),
            rio.URL("https://verwaltung.ezgg-ev.de/adm_program/modules/photos/photo_show.php?photo_uuid=c345a1b8-0c74-4d8f-8f3d-c747d04c2c12&photo_nr=5"),
            rio.URL("https://verwaltung.ezgg-ev.de/adm_program/modules/photos/photo_show.php?photo_uuid=c345a1b8-0c74-4d8f-8f3d-c747d04c2c12&photo_nr=6"),

            # BL 46
            rio.URL("https://verwaltung.ezgg-ev.de/adm_program/modules/photos/photo_show.php?photo_uuid=4abbc55b-fc19-445a-9f84-b07c8d4ced12&photo_nr=1"),
            rio.URL("https://verwaltung.ezgg-ev.de/adm_program/modules/photos/photo_show.php?photo_uuid=4abbc55b-fc19-445a-9f84-b07c8d4ced12&photo_nr=2"),
            rio.URL("https://verwaltung.ezgg-ev.de/adm_program/modules/photos/photo_show.php?photo_uuid=4abbc55b-fc19-445a-9f84-b07c8d4ced12&photo_nr=3"),
            rio.URL("https://verwaltung.ezgg-ev.de/adm_program/modules/photos/photo_show.php?photo_uuid=4abbc55b-fc19-445a-9f84-b07c8d4ced12&photo_nr=4"),
            rio.URL("https://verwaltung.ezgg-ev.de/adm_program/modules/photos/photo_show.php?photo_uuid=4abbc55b-fc19-445a-9f84-b07c8d4ced12&photo_nr=5"),
            rio.URL("https://verwaltung.ezgg-ev.de/adm_program/modules/photos/photo_show.php?photo_uuid=4abbc55b-fc19-445a-9f84-b07c8d4ced12&photo_nr=6"),

            # BL 45
            rio.URL("https://verwaltung.ezgg-ev.de/adm_program/modules/photos/photo_show.php?photo_uuid=d4c862f1-65cd-4051-9525-8be408ef80a8&photo_nr=1"),
            rio.URL("https://verwaltung.ezgg-ev.de/adm_program/modules/photos/photo_show.php?photo_uuid=d4c862f1-65cd-4051-9525-8be408ef80a8&photo_nr=2"),
            rio.URL("https://verwaltung.ezgg-ev.de/adm_program/modules/photos/photo_show.php?photo_uuid=d4c862f1-65cd-4051-9525-8be408ef80a8&photo_nr=3"),
            rio.URL("https://verwaltung.ezgg-ev.de/adm_program/modules/photos/photo_show.php?photo_uuid=d4c862f1-65cd-4051-9525-8be408ef80a8&photo_nr=4"),
            rio.URL("https://verwaltung.ezgg-ev.de/adm_program/modules/photos/photo_show.php?photo_uuid=d4c862f1-65cd-4051-9525-8be408ef80a8&photo_nr=5"),
            rio.URL("https://verwaltung.ezgg-ev.de/adm_program/modules/photos/photo_show.php?photo_uuid=d4c862f1-65cd-4051-9525-8be408ef80a8&photo_nr=6"),

            # BL 42
            rio.URL("https://verwaltung.ezgg-ev.de/adm_program/modules/photos/photo_show.php?photo_uuid=235bf57f-c65c-4b5f-8029-061775eeec45&photo_nr=1"),
            rio.URL("https://verwaltung.ezgg-ev.de/adm_program/modules/photos/photo_show.php?photo_uuid=235bf57f-c65c-4b5f-8029-061775eeec45&photo_nr=2")
        ]
